> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Vox



## OpenAPI

````yaml /openapi/suno.json post /suno/vox
openapi: 3.0.0
info:
  title: Suno Music Generation
  version: 1.0.0
  description: API reference for Suno Music Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /suno/vox:
    post:
      summary: Suno Vox
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Suno Vox Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - audio_id
              properties:
                audio_id:
                  type: string
                  description: Suno Vox Audio Id
                vocal_start:
                  type: number
                  description: Suno Vox Vocal Start
                vocal_end:
                  type: number
                  description: Suno Vox Vocal End
                callback_url:
                  type: string
                  description: Suno Vox Callback Url
                async:
                  type: boolean
                  description: Suno Vox Async
            example:
              audio_id: c5a97c83-ad13-4b0e-8655-0a68471062fb
              vocal_start: 0
              vocal_end: 60
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  task_id: 9d5ce870-18e3-4c17-a1d9-7ef5a07918e9
                  trace_id: c31b50cd-0dbe-4e53-a7a5-83965dc5ad6b
                  data:
                    id: 24f0827e-5847-4011-b9b7-fc0b62032b65
                    source_clip_id: 42599b24-fb14-4cd3-a444-e15ffde3661b
                    status: complete
                    vocal_audio_url: >-
                      https://cdn1.suno.ai/processed_24f0827e-5847-4011-b9b7-fc0b62032b65_vocals.m4a
                    vocal_end_s: 30
                    vocal_start_s: 20
                    wave_response:
                      waveform_aggregates:
                        - data:
                            - - -4
                              - 4
                              - -50
                              - 73
                              - -2517
                              - 2887
                              - 294
                            - - -5
                              - 4
                              - 296
                          mip_map_level: 11
                        - data:
                            - - -19576
                              - 20406
                              - -16717
                              - 16980
                              - -18926
                              - 20807
                              - -20029
                              - 20103
                              - -16437
                              - 20899
                            - - -19578
                              - 20406
                              - -16720
                              - 16980
                              - -18825
                              - 20051
                              - -20029
                              - 20103
                              - -16453
                              - 20903
                          mip_map_level: 20
                properties:
                  success:
                    type: boolean
                    description: Suno Vox Response 200 Success
                  task_id:
                    type: string
                    description: Suno Vox Response 200 Task Id
                  trace_id:
                    type: string
                    description: Suno Vox Response 200 Trace Id
                  data:
                    type: object
                    description: Suno Vox Response 200 Data
                    properties:
                      id:
                        type: string
                        description: Suno Vox Response 200 Data Id
                      source_clip_id:
                        type: string
                        description: Suno Vox Response 200 Data Source Clip Id
                      status:
                        type: string
                        description: Suno Vox Response 200 Data Status
                      vocal_audio_url:
                        type: string
                        description: Suno Vox Response 200 Data Vocal Audio Url
                      vocal_end_s:
                        type: integer
                        description: Suno Vox Response 200 Data Vocal End S
                      vocal_start_s:
                        type: integer
                        description: Suno Vox Response 200 Data Vocal Start S
                      wave_response:
                        type: object
                        description: Suno Vox Response 200 Data Wave Response
                        properties:
                          waveform_aggregates:
                            type: array
                            items:
                              type: object
                              properties:
                                data:
                                  type: array
                                  description: >-
                                    Suno Vox Response 200 Data Wave Response
                                    Waveform Aggregates Data
                                  items:
                                    type: array
                                mip_map_level:
                                  type: integer
                            description: >-
                              Suno Vox Response 200 Data Wave Response Waveform
                              Aggregates
          description: Suno Vox Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Suno Vox Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Suno Vox Response 400 Error Message
                      trace_id:
                        type: string
                        description: Suno Vox Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Suno Vox Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Suno Vox Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Suno Vox Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Suno Vox Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Suno Vox Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Suno Vox Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Suno Vox Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Suno Vox Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Suno Vox Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Suno Vox Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Suno Vox Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Suno Vox Response 400 Trace Id 5
          description: Suno Vox Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Suno Vox Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Suno Vox Response 401 Error Message
                      trace_id:
                        type: string
                        description: Suno Vox Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Suno Vox Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Suno Vox Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Suno Vox Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Suno Vox Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Suno Vox Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Suno Vox Response 401 Trace Id 3
          description: Suno Vox Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Suno Vox Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Suno Vox Response 403 Error Message
                      trace_id:
                        type: string
                        description: Suno Vox Response 403 Trace Id
          description: Suno Vox Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Suno Vox Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Suno Vox Response 404 Error Message
                      trace_id:
                        type: string
                        description: Suno Vox Response 404 Trace Id
          description: Suno Vox Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Suno Vox Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Suno Vox Response 429 Error Message
                      trace_id:
                        type: string
                        description: Suno Vox Response 429 Trace Id
          description: Suno Vox Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Suno Vox Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Suno Vox Response 500 Error Message
                      trace_id:
                        type: string
                        description: Suno Vox Response 500 Trace Id
          description: Suno Vox Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````